/**
 * @author: Ben Y. Zhao (ravenben@cs.berkeley.edu)
 * @version: Release 1.0 $date:  March 1, 1999$
 * (c) 1999 by Ben Yanbin Zhao and the Regents of the University of California
 */

package xset;

import com.ms.xml.om.*;
import java.util.*;

public class ServiceEntry {
  private String id = null;
  private String description = null;
  //  private Hashtable tagValues = null;
  private long lastHeartBeat = 0;
  private Vector hashtables = null;
  public ServiceEntry(String id, Document d,
                      long lastHeartBeat) {
    this.id = id;
    this.description = SETutils.XMLtoText(d);
    this.lastHeartBeat = lastHeartBeat;
    this.hashtables = new Vector();
    //    this.tagValues = getTags(d);
  }
    /*  private Hashtable getTags(Document d) {
    Hashtable h = new Hashtable();
    return h;
    }*/
  public void updateTime(long newHeartBeat) {
    lastHeartBeat = newHeartBeat;
  }
  public long getHeartBeat() {
    return lastHeartBeat;
  }
  public String getid() {
    return id;
  }
  public void addHashtable(Hashtable h) {
    hashtables.addElement(h);
  }
  public Vector getHashList() {
    return hashtables;
  }
  public String toString() {
    String out = "";
    out = out+"XML:\n"+description+"\nLast Beat:\n"+lastHeartBeat+"\n";
    return out;
  }
  public String getXML() {
    return description;
  }
}
